org.eclipse.mat.report.internal

## Class RunExternalTest

- java.lang.Object
- - org.eclipse.mat.report.internal.RunExternalTest

All Implemented Interfaces:
  IQuery

    public class RunExternalTest
    extends Object
    implements IQuery

### Field Summary

Fields
`IQueryContext` `context`
`File` `testSuite`

### Constructor Summary

Constructors
Constructor and Description
`RunExternalTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IResult` `execute(IProgressListener listener)` The execute method is called after all arguments have been injected into the query instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### context

    public IQueryContext context

#### testSuite

    public File testSuite

### Constructor Detail

#### RunExternalTest

    public RunExternalTest()

### Method Detail

#### execute

    public IResult execute(IProgressListener listener)
                    throws Exception

Description copied from interface: `IQuery`
The execute method is called after all arguments have been injected into the query instance. Typical results are `TextResult`, `CompositeResult`, `SectionSpec` etc.

Specified by:
  `execute` in interface `IQuery`
Parameters:
  `listener` - Monitor to report progress and check for cancellation.
Returns:
  The result of the query.
Throws:
  `Exception`